View Issue Details

This bug affects 1 person(s).
 12
IDProjectCategoryView StatusLast Update
13647Bug reportsSurvey editingpublic2021-02-08 13:39
Reporterholch Assigned To 
PrioritynormalSeveritypartial_block 
Status acknowledgedResolutionopen 
Product Version3.7.x 
Summary13647: Different approaches of creating subquestions and answer options with different Array type questions
Description

When creating an array question you have different screens for creating sub questions and answer options. there is also no relevance equation for answer options.

If you create an Array number question, both sub questions and answer options are created in the same screen (x and y axis) and there is a relevance equation field for both axis.

TagsNo tags attached.
Bug heat12
Complete LimeSurvey version number (& build)Version 3.7.1+180424
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL
Server OS (if known)Linux (Cpanel)
Webserver software & version (if known)Apache
PHP Version7

Relationships

related to 09941 new Feature requests Need a subquestion/answer relevance equation option for ranking questions and different question types on dual scale array. 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

holch

holch

2018-05-03 19:49

reporter  

Screenshot_11.png (38,296 bytes)   
Screenshot_11.png (38,296 bytes)   
Screenshot_12.png (3,917 bytes)   
Screenshot_12.png (3,917 bytes)   
Screenshot_13.png (35,049 bytes)   
Screenshot_13.png (35,049 bytes)   
Screenshot_14.png (31,587 bytes)   
Screenshot_14.png (31,587 bytes)   
LouisGac

LouisGac

2018-05-16 12:23

developer   ~47618

dominik: for when we'll convert to twig the subquestion editing

LouisGac

LouisGac

2018-08-28 12:06

developer   ~48894

this has been "fixed" by removing the field right?

dominikvitt

dominikvitt

2018-09-03 14:59

developer   ~48935

Relevance field was removed only for "Array by column" question type, not for others.

jelo

jelo

2018-09-20 18:08

partner   ~49106

The intention was to remove it on a few others questions types as well.

But more important would be to have a plan to get answer relevance everywhere.
Will LS 4 be able to provide this feature.

This thing is hunting us through the years. I wonder how many open bugreports are just that topic.
https://bugs.limesurvey.org/view.php?id=9941

DenisChenu

DenisChenu

2018-09-28 10:40

developer   ~49161

«Array number question, both sub questions and answer » false

In array number : all are subquestion … currently, more : each subquestion (column in DB) have 2 params : subQ X and SubQ Y
Answer is value save in DB, it's totally different …

cdorin

cdorin

2021-02-08 13:05

manager   ~61999

Shall I have this ticket closed?

Having relevance equation for answer options is in our backlog.

holch

holch

2021-02-08 13:38

reporter   ~62010

You close it, it gets forgotten. Backlog is like the "runde Ablage" (just ask the German colleagues what that is). ;-)

cdorin

cdorin

2021-02-08 13:39

manager   ~62011

Fair poitn , though it s in our backlog, @holch, I guarantee you that ;)
But yes, will move it now to acknowledged and decrease priority

Issue History

Date Modified Username Field Change
2018-05-03 19:49 holch New Issue
2018-05-03 19:49 holch File Added: Screenshot_11.png
2018-05-03 19:49 holch File Added: Screenshot_12.png
2018-05-03 19:49 holch File Added: Screenshot_13.png
2018-05-03 19:49 holch File Added: Screenshot_14.png
2018-05-16 12:21 LouisGac Assigned To => ollehar
2018-05-16 12:21 LouisGac Status new => assigned
2018-05-16 12:22 LouisGac Assigned To ollehar => LouisGac
2018-05-16 12:22 LouisGac Assigned To LouisGac => dominikvitt
2018-05-16 12:23 LouisGac Note Added: 47618
2018-08-28 12:06 LouisGac Note Added: 48894
2018-08-28 12:06 LouisGac Priority none => immediate
2018-09-03 14:59 dominikvitt Note Added: 48935
2018-09-20 18:08 jelo Note Added: 49106
2018-09-20 18:09 jelo Relationship added related to 09941
2018-09-28 10:40 DenisChenu Note Added: 49161
2019-07-15 11:41 dominikvitt Assigned To dominikvitt => cdorin
2019-09-08 18:35 cdorin Assigned To cdorin => LimeBot
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2020-03-04 17:10 cdorin Assigned To LimeBot => cdorin
2020-03-04 17:10 cdorin Status assigned => feedback
2021-02-04 10:15 cdorin Status feedback => new
2021-02-08 13:05 cdorin Note Added: 61999
2021-02-08 13:05 cdorin Assigned To cdorin =>
2021-02-08 13:05 cdorin Status new => feedback
2021-02-08 13:38 holch Note Added: 62010
2021-02-08 13:38 holch Status feedback => new
2021-02-08 13:39 cdorin Note Added: 62011
2021-02-08 13:39 cdorin Priority immediate => normal
2021-02-08 13:39 cdorin Status new => acknowledged